package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.cpzslibs.prot.handset.bean.res.DealerBean;

public interface SheepDealerDal {
	void insertDealer(DealerBean b);
	void insertDealerList(List<DealerBean> dealers);
	void deleteAllDealer();
	DealerBean queryDealerByCode(String code);
	DealerBean queryDealerById(long id);
	List<DealerBean> searchDealerByCondition(String condition);
	List<DealerBean> queryAllDealer();
	DealerBean getDealerBean(Cursor c);
}
